*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 02258
 |         DRUG ABUSE TREATMENT OUTCOME STUDY (DATOS), 1991-1994:
 |                            [UNITED STATES]
 |         (DATASET 0009:  12-MONTH FOLLOW-UP URINE RESULT DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\02258-0009-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE amphet    -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE barbs     -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE benzo     -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE cannab    -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE cocaine   -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE methaq    -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE opiates   -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE phency    -2='INSUFF Q' -1='NO DATA' 0='(0) NEGATIVE FOR DRUG'
                  1='(1) POSITIVE FOR DRUG' ;
  VALUE usource   1='(1) DATOS URINE FILE' 2='(2) CTOS URINE FILE/CROSSOVER' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=26;
INPUT
        CASEID 1-8              AMPHET 9-10             BARBS 11-12
        BENZO 13-14             CANNAB 15-16            COCAINE 17-18
        METHAQ 19-20            OPIATES 21-22           PHENCY 23-24
        USOURCE 25-26           ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   AMPHET  = 'AMPHETAMINE TEST RESULT'
   BARBS   = 'BARBITURATES TEST RESULT'
   BENZO   = 'BENZODIAZEPINES TEST RESULT'
   CANNAB  = 'CANNABINOID TEST RESULT'
   COCAINE = 'COCAINE TEST RESULT'
   METHAQ  = 'METHAQUALONES TEST RESULT'
   OPIATES = 'OPIATES TEST RESULT'
   PHENCY  = 'PHENCYCLIDINE TEST RESULT'
   USOURCE = 'URINE SOURCE FILE'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (AMPHET <= -1) THEN AMPHET = .;
   IF (BARBS <= -1) THEN BARBS = .;
   IF (BENZO <= -1) THEN BENZO = .;
   IF (CANNAB <= -1) THEN CANNAB = .;
   IF (COCAINE <= -1) THEN COCAINE = .;
   IF (METHAQ <= -1) THEN METHAQ = .;
   IF (OPIATES <= -1) THEN OPIATES = .;
   IF (PHENCY <= -1) THEN PHENCY = .;
   IF (USOURCE <= -1) THEN USOURCE = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT AMPHET amphet. BARBS barbs. BENZO benzo.
         CANNAB cannab. COCAINE cocaine. METHAQ methaq.
         OPIATES opiates. PHENCY phency. USOURCE usource.
          ;
*/

RUN ;
